/* Renewed City Growth, a GameScript for OpenTTD - by kero
 * Licence: GNU General Public Licence, version 2
 */

require("version.nut");

class MainClass extends GSInfo 
	{
	function GetAuthor()		{ return "kero"; }
	function GetName()		{ return "Renewed City Growth"; }
	function GetDescription() 	{ return "A new city growth script. Towns require increasingly various cargo categories to be delivered to grow. Works only with FIRS (FIRS economy) for now."; }
	function GetVersion()		{ return SELF_VERSION; }
	function GetDate()		{ return "2013-10-24"; }
	function CreateInstance()	{ return "MainClass"; }
	function GetShortName()		{ return "RECG"; }
	function GetAPIVersion()	{ return "1.4"; }
	function GetUrl()		{ return ""; }
	function GetSettings() {
				
// 		AddSetting({name = "Industry_Newgrf",
// 				description = "Which Industry Newgrf is being used?",
// 				easy_value = 1,
// 				medium_value = 1,
// 				hard_value = 1,
// 				custom_value = 1,
// 				flags = CONFIG_INGAME, min_value = 1, max_value = 3});
// 		AddLabels("Industry_Newgrf", {_1 = "Base", _2 = "FIRS", _3 = "ECS All Vectors" } );

		AddSetting({name = "industry_NewGRF",
				description = "Which Industry NewGRF is being used?",
				easy_value = 2,
				medium_value = 2,
				hard_value = 2,
				custom_value = 2,
				flags = CONFIG_NONE, min_value = 2, max_value = 2});
		AddLabels("industry_NewGRF", {_1 = "Base", _2 = "FIRS", _3 = "ECS All Vectors" } );
		
		AddSetting({name = "goal_scale_factor",
				description = "Cargo goal factor (in %) [easy = 50, medium = 100, hard = 150]",
				easy_value = 50,
				medium_value = 100,
				hard_value = 150,
				custom_value = 100,
				flags = CONFIG_INGAME, min_value = 1, max_value = 1000});

		AddSetting({name = "log_level", 
				description = "Debug: Log level (higher = print more)", 
				easy_value = 1,
				medium_value = 1,
				hard_value = 1,
				custom_value = 1,
				flags = CONFIG_INGAME, min_value = 1, max_value = 3});
		AddLabels("log_level", {_1 = "1: Info", _2 = "2: Verbose", _3 = "3: Debug" } );
	}
}

RegisterGS(MainClass());
